/**
 * Testing seashell.exe
 * pg-20180409
 */
#include "Codakia_20180409.INC"


#include "colors.inc"
#include "skies.inc"
#include "rad_def.inc"
#include "textures.inc"
//#include "glass.inc"
#include "metals.inc"
#include "golds.inc"


sky_sphere {
	S_Cloud1
}

global_settings {assumed_gamma 1.0}  

light_source {<-30, 100, -30> color rgb 1}
light_source {<30, 100, 30> color rgb 1}
light_source {<30, -100, 30> color rgb 1}

camera {
 location <-1,-5,-3>
 look_at <1,1,0>
}            


#declare Seed=seed(1);

#declare t_shell=texture{
	pigment {rgbft <rand(Seed),rand(Seed),rand(Seed),0.5+rand(Seed)*0.5,0.5*rand(Seed)*0.5>}
	finish {specular 0.5 roughness 0.2}
}

#declare t_shell=texture{
	T_Gold_2A
	normal {granite .75 scale 1.15 }
	finish {specular 0.5 roughness 0.2}
}

object{Codakia texture{t_shell} translate <-1.8,0,0>}

#local R=0.1;
#local delta=0.2;
#local imax=200;
#local ofs=10;

#local i=0;
#while (i<imax)
 	sphere {<-0.5+i*rand(Seed)*ofs/(imax*4),i*rand(Seed)*ofs/(imax*4),0.5-i*rand(Seed)*ofs/(imax*2)> R+rand(Seed)*delta
 		pigment {rgbft <rand(Seed)*0.8,rand(Seed)*0.8,0.6+rand(Seed)*0.2,0.6+rand(Seed)*0.5,0.8*rand(Seed)*0.5>}
 		finish {specular 0.5 roughness 0.2}
 	}
	#local i=i+1;
#end
